listRuns

GET /runs

Operation ID: listRuns

Response (200)

Array of Run.

Field Type Required
id string yes
planId string yes
planTitle string yes
status `"queued" "running"`
environment string yes
targetUrl string yes
actualCostCents integer yes
durationSeconds integer · nullable null
issueCount integer yes
criticalIssues integer yes
highIssues integer yes
liveUrl string · nullable null
recordingUrl string · nullable null
startedAt string (ISO 8601) · nullable no
completedAt string (ISO 8601) · nullable no
createdAt string (ISO 8601) yes

Example:

[
  {
    "id": "string",
    "planId": "string",
    "planTitle": "string",
    "status": "queued",
    "environment": "string",
    "targetUrl": "string",
    "actualCostCents": 0,
    "durationSeconds": 0,
    "issueCount": 0,
    "criticalIssues": 0,
    "highIssues": 0,
    "liveUrl": "string",
    "recordingUrl": "string",
    "startedAt": "2026-04-18T12:34:56Z",
    "completedAt": "2026-04-18T12:34:56Z",
    "createdAt": "2026-04-18T12:34:56Z"
  }
]

Example request

curl https://api.qacrow.com/api/runs \
  -H "Authorization: Bearer qac_live_..."